From a671468ef77357e45cf6e1da1e0dd3744b4878ea Mon Sep 17 00:00:00 2001
From: Tails developers <tails@boum.org>
Date: Mon, 2 Jun 2014 00:34:40 +0200
Subject: [PATCH 6/9] Don't leak task title text attributes

---
 src/task-title.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/task-title.c b/src/task-title.c
index b646b8f..1a5ca15 100644
--- a/src/task-title.c
+++ b/src/task-title.c
@@ -327,6 +327,7 @@ static GtkWidget *getTitleLabel() {
     PangoAttribute *attr = pango_attr_weight_new (PANGO_WEIGHT_BOLD);
     pango_attr_list_insert (attr_list, attr);
     gtk_label_set_attributes (GTK_LABEL (label), attr_list);
+    pango_attr_list_unref (attr_list);
     gtk_widget_set_hexpand (label, TRUE);
     gtk_widget_set_vexpand (label, TRUE);
     gtk_widget_set_valign (label, GTK_ALIGN_CENTER);
-- 
2.0.0.rc4

